*-------------------- Corregido 05-04-2010 ---------------------*

#include "minigui.ch"

FUNCTION NEWCLAVE()

*----------------------------------------*
* (c) Mustafa Lpez  mustalopez@gmail.com
*----------------------------------------*

* Funcion que evita que el usuario mueva, cambie de tamao , maximize , minimize la Ventana 
* AUTOR:    Dr. CLAUDIO SOTO
* PAIS:     URUGUAY
* E-MAIL:   srvet@adinet.com.uy
*------------------------------------*
*******************************************************************************************************
* DEFINICION DE LOS COMANDOS
*******************************************************************************************************
#define ID_MOVE      1
#define ID_SIZE      2
#define ID_RESTORE   3
#define ID_MAXIMIZE  4
#define ID_MINIMIZE  5
#define ID_CLOSE     6
#define ID_ALL       7

#command LOCK SYSMENU IN WINDOW <WinName> ALL;
         => LOCK_SYSMENU_WIN (<WinName>,.T.,.T.,.T.,.T.,.T.,.T.)

#command UNLOCK SYSMENU IN WINDOW <WinName> ALL;
         => LOCK_SYSMENU_WIN (<WinName>,.F.,.F.,.F.,.F.,.F.,.F.)

#command LOCK SYSMENU IN WINDOW <WinName> [<mov: MOVE>] [<siz: SIZE>] [<res: RESTORE>] [<max: MAXIMIZE>] [<min: MINIMIZE>] [<clo: CLOSE>];
         => LOCK_SYSMENU_WIN (<WinName>, <.mov.>, <.siz.>, <.res.>, <.max.>, <.min.>, <.clo.>)
         
//       IS_SYSMENU_LOCK (WinName, ID_n)
******************************************************************************************************
vent3 (1)  

*--------------------------*
 Procedure vent3 (n)
*--------------------------*
  
*----------------------------------------------------*
  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO SPANISH
*-----------------------------------------------------*
IF .NOT. FILE('control.mem')

          cEncriptaA := Cript("admin" , "MICLAVE")

          cEncriptaB := Cript("admin" , "MICLAVE")

          SAVE TO control.mem ALL LIKE cEncripta*
ENDIF
*---------------------- Modificar Clave -------------------------------*
 

IF IsWindowDefined (Form_1a) = .F. 

   DEFINE WINDOW Form_1a                  ;
       AT 460,372                         ;
       WIDTH 280 HEIGHT 159               ;
       TITLE "Cambiar Clave Acceso"       ;
       MODAL NOSYSMENU CURSOR ""                                                         
       ON KEY ESCAPE Action  ( vent3 (2) , Form_1a.Release )   
       ON KEY ALT+F4 ACTION NIL                                            
*----------------------------------------------*
      DEFINE IMAGE Image_1a
        ROW    34
        COL    22
        WIDTH  32
        HEIGHT 32
        PICTURE "Bmp\Acceso2.Ico"
        HELPID Nil
        VISIBLE .T.
        STRETCH .F.
        ACTION Nil
     END IMAGE
     
     DEFINE LABEL Label_1a
        ROW    17
        COL    75
        WIDTH  50
        HEIGHT 24
        VALUE "Usuario"
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP ""
        FONTBOLD .T.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .T.
        TRANSPARENT .F.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR Nil
        FONTCOLOR Nil
    END LABEL  

    DEFINE TEXTBOX Texto_01a
        ROW    15
        COL    150
        WIDTH  100
        HEIGHT 23
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Clave Usuario "
        ONCHANGE Nil
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONENTER Nil
        HELPID Nil
        TABSTOP .T.
        VISIBLE .T.
        READONLY .F.
        RIGHTALIGN .F.
        PASSWORD .T.
        BACKCOLOR {180,200,255}    
        FONTCOLOR Nil
        INPUTMASK Nil
        MAXLENGTH 8                
        FORMAT Nil
        VALUE ""
        UPPERCASE .F.            
    END TEXTBOX

    DEFINE LABEL Label_2a
        ROW    56
        COL    75
        WIDTH  60
        HEIGHT 24
        VALUE "Password"
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP ""
        FONTBOLD .T.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        VISIBLE .T.
        TRANSPARENT .F.
        ACTION Nil
        AUTOSIZE .F.
        BACKCOLOR Nil
        FONTCOLOR Nil
    END LABEL
    
    DEFINE TEXTBOX Texto_02a
        ROW    55
        COL    150
        WIDTH  100
        HEIGHT 23
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Clave Password"
        ONCHANGE Nil
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONENTER Nil
        HELPID Nil
        TABSTOP .T.
        VISIBLE .T.
        READONLY .F.
        RIGHTALIGN .F.
        PASSWORD .T.
        BACKCOLOR {180,200,255}    
        FONTCOLOR Nil
        INPUTMASK Nil
        MAXLENGTH 8                 
        FORMAT Nil
        VALUE ""
        UPPERCASE .F.   
    END TEXTBOX

  DEFINE BUTTON Button_1a
        ROW    90
        COL    26
        WIDTH  105
        HEIGHT 28
        CAPTION "&Aceptar"
        ACTION Usuario()  
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Aceptar"
        FONTBOLD .T.
        FONTITALIC .T.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        HELPID Nil
        FLAT .F.
        TABSTOP .T.
        VISIBLE .T.
        TRANSPARENT .F.
        MULTILINE .F.
        PICTURE "Bmp\Acep.bmp"
        PICTALIGNMENT LEFT
    END BUTTON

    DEFINE BUTTON Button_2a
        ROW    90
        COL    150
        WIDTH  105
        HEIGHT 28
        CAPTION "&Cancelar"
        ACTION ( vent3 (2) , Form_1a.Release )    
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Cancelar"
        FONTBOLD .T.
        FONTITALIC .T.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        HELPID Nil
        FLAT .F.
        TABSTOP .T.
        VISIBLE .T.
        TRANSPARENT .F.
        MULTILINE .F.
        PICTURE "Bmp\Cancel.bmp"
        PICTALIGNMENT LEFT
     END BUTTON 

END WINDOW
  
 Form_1a.Texto_01a.Enabled := .T.
 Form_1a.Texto_02a.Enabled := .T.
 Form_1a.Texto_01a.SetFocus

END   
  
   IF n = 1
      LOCK SYSMENU IN WINDOW "Form_1a" ALL
   ELSE
      UNLOCK SYSMENU IN WINDOW "Form_1a" ALL
   ENDIF
   
   
   IF IsWindowActive (Form_1a) = .F. 
      CENTER WINDOW Form_1a  
      Form_1a.Activate
   ENDIF   
   

 RETURN NIL

*------------------------*
PROCEDURE Usuario()
*------------------------*
          IF Form_1a.Texto_01a.value < SPACE(1) .OR. Form_1a.Texto_02a.value < SPACE(1)
             MsgStop('Faltan Dgitos para Clave' , 'Atencion !!!')  
             RETURN NIL  
          ENDIF

          Acripa:= ALLTRIM(LOWER(Form_1a.Texto_01a.value))

          Acripb:= ALLTRIM(LOWER(Form_1a.Texto_02a.value))

          cencriptaA := Cript( Acripa , "MICLAVE")

          cencriptaB := Cript( Acripb , "MICLAVE")

          SAVE TO control.mem ALL LIKE cencripta*

          Form_1a.Texto_01a.value := ""
          Form_1a.Texto_02a.value := ""  
          Form_1a.Release
RETURN NIL


